#
# This package is part of the KDE Stack.
#
%define _cmake_skip_rpath %nil
%define rel 2

%global flatpak_version 1.4.0

Name:           discover
Version: 5.15.4
%define 	subrel 2
Release:        %mkrel %rel
Summary:        KDE and Plasma resources management GUI
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://kde.org
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:         discover-5.15.2-fix-desktop-file.patch

#
# Security patches
# P100 -> ...
#
# CVE-2021-28117
Patch100:       94478827aab63d2e2321f0ca9ec5553718798e60.patch

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Quick)

#KDE Framework BuildRequires
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Attica)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5ItemModels)

#PackageKit backend BuildRequires
BuildRequires:  cmake(packagekitqt5)
BuildRequires:  cmake(AppStreamQt) >= 0.11.2

#Flatpak backend BuildRequires
BuildRequires:  pkgconfig(flatpak) >= %{flatpak_version}
BuildRequires:  pkgconfig(fwupd)
BuildRequires:  pkgconfig(libmarkdown)

BuildRequires:  git-core

Requires:       flatpak >= %{flatpak_version}
Requires:       fwupd
Requires:       kirigami

#Add secondary provides name for sanity
Provides: plasma-%{name} = %{version}-%{release}
Provides: plasma-%{name}%{?_isa} = %{version}-%{release}

%description
KDE and Plasma resources management GUI.

%files -f discover.lang
%_kf5_sysconfdir/xdg/discover.categories
%_kf5_libexecdir/discover/runservice
%_kf5_bindir/plasma-discover
%_kf5_sysconfdir/xdg/discover_ktexteditor_codesnippets_core.knsrc
%_kf5_libdir/plasma-discover/libDiscoverCommon.so
%_kf5_libdir/plasma-discover/libDiscoverNotifiers.so
%_qt5_plugindir/discover
%_qt5_plugindir/discover-notifier
%_qt5_qml/org/kde/discovernotifier
%_kf5_applicationdir/org.kde.discover.desktop
%_kf5_applicationdir/org.kde.discover.urlhandler.desktop
%_kf5_applicationdir/org.kde.discover-flatpak.desktop
%_kf5_applicationdir/org.kde.discover.snap.urlhandler.desktop
%_kf5_appdatadir/org.kde.discover.appdata.xml
%_kf5_appdatadir/org.kde.discover.packagekit.appdata.xml
%_kf5_appdatadir/org.kde.discover.flatpak.appdata.xml
%_kf5_appdatadir/org.kde.discovernotifier.appdata.xml
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_datadir/discover/pkcategories
%_kf5_knotificationsdir/discoverabstractnotifier.notifyrc
%_kf5_services/plasma-applet-org.kde.discovernotifier.desktop
%_kf5_datadir/kxmlgui5/plasmadiscover/plasmadiscoverui.rc
%_kf5_datadir/plasma/plasmoids/org.kde.discovernotifier/
%_kf5_datadir/libdiscover/categories/packagekit-backend-categories.xml
%_kf5_datadir/libdiscover/categories/flatpak-backend-categories.xml

#--------------------------------------------------------------------

%prep
%setup -q
# disable update notifier applet by default.
sed -i \
  -e 's|X-KDE-PluginInfo-EnabledByDefault=.*|X-KDE-PluginInfo-EnabledByDefault=false|g' \
  notifier/plasmoid/metadata.desktop

%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name


%changelog
* Thu Mar 11 2021 neoclust <neoclust> 5.15.4-2.2.mga7
+ Revision: 1701244
- Rebuild against new flatpak
- Add P100: Fixes CVE-2021-28117

* Sun Jun 16 2019 ngompa <ngompa> 5.15.4-2.mga7
+ Revision: 1400099
- Rebuild with updated flatpak

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386836
- New version 5.15.4

* Sat Mar 30 2019 umeabot <umeabot> 5.15.3-3.mga7
+ Revision: 1381536
- Qt5 Rebuild

* Tue Mar 19 2019 daviddavid <daviddavid> 5.15.3-2.mga7
+ Revision: 1378843
- add missing dependency on fwupd (mga#24526)

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374913
- New version 5.15.3

* Fri Mar 01 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370713
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368582
- New version 5.15.1

* Sun Feb 17 2019 daviddavid <daviddavid> 5.15.0-2.mga7
+ Revision: 1367844
- enable fwupd and libmarkdown support

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367217
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356166
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339303
- New version 5.14.4

* Fri Oct 26 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1325597
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1297453
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252395
- New version 5.13.4

* Sat Mar 24 2018 daviddavid <daviddavid> 5.12.2-3.mga7
+ Revision: 1211994
- rebuild for new packagekit-qt 1.0.1
+ kekepower <kekepower>
- Rebuild for new packagekit-qt

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204433
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200978
- New version 5.12.1

* Mon Feb 12 2018 ngompa <ngompa> 5.11.95-3.mga7
+ Revision: 1200609
- No-change rebuild to make buildsystem take the build
- Fix the AppStreamQt BR
- Add missing BR for Flatpak backend

* Sat Jan 20 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1195239
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185673
- New version 5.11.4

* Sat Oct 28 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174367
- New version 5.11.2

* Fri Oct 20 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172853
- New version 5.11.1

* Sun Oct 15 2017 cjw <cjw> 5.10.95-1.mga7
+ Revision: 1172228
- fix find_lang call
- fix target file name of desktop file patch
- update file list
+ neoclust <neoclust>
- New version 5.10.95
- New version 5.10.5

* Tue Jul 25 2017 daviddavid <daviddavid> 5.10.4-2.mga7
+ Revision: 1130759
- rebuild against kirigami2

* Mon Jul 24 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1130188
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105054
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089015
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078217
- New version 5.8.5

* Thu Dec 15 2016 daviddavid <daviddavid> 5.8.4-3.mga6
+ Revision: 1075328
- fix file list

* Wed Nov 30 2016 neoclust <neoclust> 5.8.4-2.mga6
+ Revision: 1071295
- Rebuild against new appstream

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070707
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065077
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064467
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063038
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060263
- New version 5.8.1

* Sat Oct 01 2016 daviddavid <daviddavid> 5.8.0-2.mga6
+ Revision: 1057995
- add missing requires on kirigami (mga#19500)

* Fri Sep 30 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057816
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053424
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052672
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048736
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044258
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-5.mga6
+ Revision: 1042546
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1041383
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-5.mga6
+ Revision: 1039959
- Fix RPATH

* Sat Jul 09 2016 ngompa <ngompa> 5.7.0-4.mga6
+ Revision: 1039929
- Fix path for discover libraries

* Fri Jul 08 2016 ngompa <ngompa> 5.7.0-3.mga6
+ Revision: 1039807
- Add Appstream BR for building PK backend

* Fri Jul 08 2016 tmb <tmb> 5.7.0-2.mga6
+ Revision: 1039760
- fix broken .desktop file
+ neoclust <neoclust>
- New version 5.7.0

* Tue Jul 05 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1038962
- imported package discover

